Information on source package pygments

Available versions

ReleaseVersion
stretch2.2.0+dfsg-1
stretch (security)2.2.0+dfsg-1+deb9u2
buster2.3.1+dfsg-1+deb10u2
bullseye2.7.1+dfsg-2.1
bookworm2.7.1+dfsg-2.1
sid2.7.1+dfsg-2.1

Resolved issues

BugDescription
CVE-2021-27291In pygments 1.1+, fixed in 2.7.4, the lexers used to parse programming ...
CVE-2021-20270An infinite loop in SMLLexer in Pygments versions 1.5 to 2.7.3 may lea ...
CVE-2015-8557The FontManager._get_nix_font_path function in formatters/img.py in Py ...

Security announcements

DSA / DLADescription
DSA-4878-1pygments - security update
DLA-2600-1pygments - security update
DSA-4870-1pygments - security update
DLA-2590-1pygments - security update
DSA-3445-1pygments - security update
DLA-369-1pygments - security update

Search for package or bug name: Reporting problems